## org.apache.batik.ext.awt.image.spi
Interface BrokenLinkProvider

All Known Implementing Classes:
  DefaultBrokenLinkProvider

public interface BrokenLinkProvider

This interface is to be used to provide alternate ways of generating a placeholder image when the ImageTagRegistry fails to handle a given reference.

Field Summary
`static java.lang.String` `BROKEN_LINK_PROPERTY` The image returned by getBrokenLinkImage should always return some value when queried for the BROKEN_LINK_PROPERTY.

Method Summary
`Filter` `getBrokenLinkImage(java.lang.Object base, java.lang.String code, java.lang.Object[] params)` This method is responsbile for constructing an image that will represent the missing image in the document.

Field Detail

### BROKEN_LINK_PROPERTY

    public static final java.lang.String BROKEN_LINK_PROPERTY

  The image returned by getBrokenLinkImage should always return some value when queried for the BROKEN_LINK_PROPERTY. This allows code the determine if the image is the 'real' image or the broken link image, which may be important for the application of profiles etc.

  See Also:
    Constant Field Values

Method Detail

### getBrokenLinkImage

    public Filter getBrokenLinkImage(java.lang.Object base,
                                     java.lang.String code,
                                     java.lang.Object[] params)

  This method is responsbile for constructing an image that will represent the missing image in the document. This method recives information about the reason a broken link image is being requested in the `code` and `params` parameters. These parameters may be used to generate nicely localized messages for insertion into the broken link image, or for selecting the broken link image returned.

  Parameters:
    `base` - The object to use for Message decoding.
    `code` - This is the reason the image is unavailable should be taken from ErrorConstants.
    `params` - This is more detailed information about the circumstances of the failure.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.